# PrimitiveImage Class Reference
[Base data types used in Form]

Image uploads helper. More...

Inheritance diagram for PrimitiveImage:
[legend]

List of all members.

## Public Member Functions

| clean ()
| getWidth ()
| getHeight ()
| getType ()
| setMaxWidth ($max)
| getMaxWidth ()
| setMinWidth ($min)
| getMinWidth ()
| setMaxHeight ($max)
| getMaxHeight ()
| setMinHeight ($min)
| getMinHeight ()
| import ($scope)

## Private Attributes

| $width = null
| $height = null
| $maxWidth = null
| $minWidth = null
| $maxHeight = null
| $minHeight = null
| $type = null

## Detailed Description

Image uploads helper.

Definition at line 17 of file PrimitiveImage.class.php.

## Member Function Documentation

PrimitiveImage::clean | ( |  | ) |

Returns:
  PrimitiveImage

Reimplemented from PrimitiveFile.

Definition at line 33 of file PrimitiveImage.class.php.

PrimitiveImage::getHeight | ( |  | ) |

Definition at line 47 of file PrimitiveImage.class.php.

PrimitiveImage::getMaxHeight | ( |  | ) |

Definition at line 97 of file PrimitiveImage.class.php.

PrimitiveImage::getMaxWidth | ( |  | ) |

Definition at line 67 of file PrimitiveImage.class.php.

PrimitiveImage::getMinHeight | ( |  | ) |

Definition at line 112 of file PrimitiveImage.class.php.

PrimitiveImage::getMinWidth | ( |  | ) |

Definition at line 82 of file PrimitiveImage.class.php.

PrimitiveImage::getType | ( |  | ) |

Definition at line 52 of file PrimitiveImage.class.php.

PrimitiveImage::getWidth | ( |  | ) |

Definition at line 42 of file PrimitiveImage.class.php.

PrimitiveImage::import | ( | $ | scope | ) |

Reimplemented from PrimitiveFile.

Definition at line 117 of file PrimitiveImage.class.php.

References $height, $type, and $width.

PrimitiveImage::setMaxHeight | ( | $ | max | ) |

Returns:
  PrimitiveImage

Definition at line 90 of file PrimitiveImage.class.php.

References RangedPrimitive::$max.

PrimitiveImage::setMaxWidth | ( | $ | max | ) |

Returns:
  PrimitiveImage

Definition at line 60 of file PrimitiveImage.class.php.

References RangedPrimitive::$max.

PrimitiveImage::setMinHeight | ( | $ | min | ) |

Returns:
  PrimitiveImage

Definition at line 105 of file PrimitiveImage.class.php.

References RangedPrimitive::$min.

PrimitiveImage::setMinWidth | ( | $ | min | ) |

Returns:
  PrimitiveImage

Definition at line 75 of file PrimitiveImage.class.php.

References RangedPrimitive::$min.

## Member Data Documentation

PrimitiveImage::$height = null`[private]`

Definition at line 20 of file PrimitiveImage.class.php.

Referenced by import().

PrimitiveImage::$maxHeight = null`[private]`

Definition at line 25 of file PrimitiveImage.class.php.

PrimitiveImage::$maxWidth = null`[private]`

Definition at line 22 of file PrimitiveImage.class.php.

PrimitiveImage::$minHeight = null`[private]`

Definition at line 26 of file PrimitiveImage.class.php.

PrimitiveImage::$minWidth = null`[private]`

Definition at line 23 of file PrimitiveImage.class.php.

PrimitiveImage::$type = null`[private]`

Definition at line 28 of file PrimitiveImage.class.php.

Referenced by import().

PrimitiveImage::$width = null`[private]`

Definition at line 19 of file PrimitiveImage.class.php.

Referenced by import().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveImage.class.php